import { uart } from '@espruino-tools/uart';
import { IDeviceController } from './types/device-controller-types';
declare type UART = typeof uart;
export declare class DeviceController implements IDeviceController {
    connected: boolean;
    UART: UART;
    deviceType: string | undefined;
    constructor();
    /**
     *
     * @returns  promise containing all code stored on device
     */
    dump(): Promise<string>;
    /**
     *
     * @returns device type of connected device
     */
    getDeviceType(): Promise<string>;
    /**
     *
     * @returns battery percentage of the connected device
     */
    getBattery(): Promise<number>;
    write(code: string): Promise<void>;
    /**
     *
     * @param code code to be evaluated
     * @returns the response from the device in a Promise
     */
    eval<T>(code: string): Promise<T>;
    /**
     *
     * @param callback the function to be run after connect
     */
    connect(callback: Function): Promise<void>;
    /**
     *
     * @param callback the function to be run after disconnect
     */
    disconnect(callback: Function): Promise<void>;
    reset(): void;
    upload(url: string, flash?: boolean): Promise<void>;
}
export {};
