import { DeviceController } from './device-controller';
import { Accel, IPuck, IR, LED, Mag, NFC, Pin } from './types/puck-types';
export declare class Puck extends DeviceController implements IPuck {
    pin: Pin;
    getLightVal(): Promise<number>;
    mag: Mag;
    accel: Accel;
    IR: IR;
    LED: LED;
    NFC: NFC;
    /**
     *
     * @returns temperature from device
     */
    getTemperature(): Promise<number>;
    /**
     *
     * @param func A function to be run of press of pucks button
     */
    onPress(func: Function): void;
    /**
     *
     * @param long The function to be called on a long press
     * @param short The function to be called on a short press
     * @param ms the time required to consider a press a long press
     */
    onTimedPress(long: Function, short: Function, ms?: number): void;
}
